/***************************************************************************
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef __BITSTREAM_H
#define __BITSTREAM_H

class bitstream {

public:
	unsigned char *bytes;
	unsigned int numBytes;
	unsigned int numBits;
	unsigned int maxNumBits;

private:
	unsigned int max_numBytes;
	unsigned char buffer;
	unsigned int counter;

public:
	bitstream( unsigned int set_max_numBytes );
	~bitstream( void );
	void set_maxNumBits( unsigned int setmaxnumbits );
	int put_bit( int bit );
	int get_bit( int *bit );
	void reset( void );
	void flush( void );
	int put_unsigned( unsigned int x, unsigned int n);
	int get_unsigned( unsigned int *x, unsigned int n);
};

#endif
