/***************************************************************************
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/* Decomposition parameters */
#define EDGES_ZEROS 1
#define WIN_LEN_MIN 128
#define WIN_LEN_MAX 16384
#define WIN_TYPE 13	/* PBCOSINE: 13, KBD: 12 */
#define WIN_OPTIONAL 0.0
#define PEC1 100.0
#define PEC2 8.0
#define PEC3 128.0
#define SNR 80
#define MPD_REPORT_HIT 0

/* Coding parameters */
#define ENCODE_OUT_WAV 0
#define DATA_MAX_NBITS 16
#define LEVEL_MAX 30
#define K_INIT 2
#define MAX_BITRATE 1024

/* Psy model parameters */
#define PART_WIDTH 0.3
#define SFM_DB_MAX -60
#define NMT 6
#define TMN 18
#define UPDATE_PSY 1000
#define ATH_F_LOW 500
#define ATH_F_HIGH 14000
#define ATH_ADJUST -100
#define GAP_ADJUST 0
