#! /bin/bash

if [ $# == 0 ] ; then
  NTHREADS="1"
else
  NTHREADS=$1
fi

echo "make clean"
make clean

echo "make"
make

echo "python scripts/runCode.py . wav $NTHREADS 80 48000 44100"
python scripts/runCode.py . wav $NTHREADS 80 48000 44100

echo "python scripts/runDecode.py . wav $NTHREADS 44100 24000 48000"
python scripts/runDecode.py . wav $NTHREADS 44100 24000 48000
